---
title: 📚 Project Structure
sidebar_position: 1
---

Following is the project repository root directory structure:

```shell showLineNumbers
- .github/
- .husky/
- .vscode/
- .yarn/
- assets/
- core-java/
- sample-tests/
- website/
- .editorconfig
- .eslintignore
- .eslintrc.json
- .gitignore
- .gitpod.yml
- .prettieriignore
- .prettierrc.json
- .yarnrc.yml
- commitlint.config.js
- lerna.json
- LICENSE
- package.json
- README.md
- yarn.lock
```

## Details

### 1. `.github/`

This directory contains issue and PR templates, GitHub Action workflows and other community related files.

### 2. `.husky/`

This directory contains Husky pre-commit hook configs for linting,

- Commit messages
- Prettier styles
- ESLint rules

### 3. `.vscode/`

This directory contains VS Code settings and extensions.

### 4. `.yarn/`

This directory contains Yarn specific setting files.

### 5. `assets/`

This directory contains all the assets required by the README file.

### 6. `core-java/`

This directory contains the core framework Java Maven based project.

### 7. `sample-tests/`

This directory contains the sample tests for boyka-framework for API and Web.

### 8. `website/`

This directory contains the website documentation for the project.

### 9. `.editorconfig`

This file contains the EditorConfig settings for the project.

### 10. `.eslintignore`

This file contains the ESLint ignore patterns for the project.

### 11. `.eslintrc.json`

This file contains the ESLint rules for the project.

### 12. `.gitignore`

This file contains the Git ignore patterns for the project.

### 13. `.gitpod.yml`

This file contains the Gitpod settings for the project.

### 14. `.nvmrc`

This file contains the Node version for the project.

### 15. `.prettierignore`

This file contains the Prettier ignore patterns for the project.

### 16. `.prettierrc.json`

This file contains the Prettier rules for the project.

### 17. `.yarnrc.yml`

This file contains the Yarn settings for the project.

### 18. `commitlint.config.js`

This file contains the Commitlint config for the project.

### 19. `lerna.json`

This file contains the Lerna settings for the project.

### 20. `LICENSE`

This file contains the license for the project.

### 21. `package.json`

This file contains the project package.json settings.

### 22. `README.md`

This file contains the project README.md file.

### 23. `yarn.lock`

This file contains the project yarn.lock file.
